#
#   Borland C makefile for SSHDOS
#

#   Where is your compiler installed?
#Borland C
COMPPATH=c:\borlandc
#COMPPATH=c:\bc4
#Turbo C
#COMPPATH=c:\tc

#   Which compiler do you use?
#Borland C
CC=bcc
#Turbo C
#CC=tcc

# Debug
# DEBUG=-v

# Compiler flags
# remove -DCOLOR to force B&W mode
CFLAGS= -c -ml -O2 -Z $(DEBUG) -I$(COMPPATH)\include -I.\include -DCOLOR

# Linker flags
LFLAGS= -ml -l-c -lm -L$(COMPPATH)\lib -L.\lib

#################################################################
# In normal cases, no other settings should be changed below!!! #
#################################################################

.c.obj:
	$(CC) $(CFLAGS) $*.c

all: sshdos.exe scpdos.exe telnet.exe

sshdos.exe : sshdos.obj xmalloc.obj lib/crypto.lib lib/ssh.lib lib/vt100.lib
	$(CC) $(DEBUG) $(LFLAGS) sshdos.obj xmalloc.obj wattcplg.lib crypto.lib ssh.lib vt100.lib zlib.lib

scpdos.exe : scpdos.obj xmalloc.obj lib/crypto.lib lib/ssh.lib
	$(CC) $(DEBUG) $(LFLAGS) scpdos.obj xmalloc.obj wattcplg.lib crypto.lib ssh.lib zlib.lib

telnet.exe : telnet.obj xmalloc.obj lib/vt100.lib
	$(CC) $(DEBUG) $(LFLAGS) telnet.obj xmalloc.obj wattcplg.lib vt100.lib

sshdos.obj: sshdos.c
scpdos.obj: scpdos.c
telnet.obj: telnet.c
negotiat.obj: negotiat.c
protocol.obj: protocol.c
sshmd5.obj: sshmd5.c
sshdes.obj: sshdes.c
sshblowf.obj: sshblowf.c
sshcrc.obj: sshcrc.c
sshbn.obj: sshbn.c
sshrsa.obj: sshrsa.c
sshpubk.obj: sshpubk.c
vttio.obj: vttio.c
vidio.obj: vidio.c
keyio.obj: keyio.c
keymap.obj: keymap.c
xmalloc.obj: xmalloc.c

lib/crypto.lib: sshcrc.obj sshrsa.obj sshblowf.obj sshdes.obj sshmd5.obj sshbn.obj sshpubk.obj
	tlib lib\crypto.lib -+sshcrc.obj -+sshrsa.obj -+sshblowf.obj -+sshdes.obj -+sshmd5.obj -+sshbn.obj -+sshpubk.obj

lib/ssh.lib: negotiat.obj protocol.obj
	tlib lib\ssh.lib -+negotiat.obj -+protocol.obj

lib/vt100.lib: vttio.obj vidio.obj keyio.obj keymap.obj
	tlib lib\vt100.lib -+vttio.obj -+vidio.obj -+keyio.obj -+keymap.obj

clean:
	del lib\*.bak
	del *.obj
	del *.map
	del lib\vt100.lib
	del lib\crypto.lib
	del lib\ssh.lib
	del sshdos.exe
	del scpdos.exe
	del telnet.exe
