#
#   DJGPP makefile for SSHDOS
#

# remove -DCOLOR for B&W mode
CFLAGS	      = -O2 -I./include -Wall -DCOLOR 

#which command to use to delete a file
RM=del
#RM=rm -f

#################################################################
# In normal cases, no other settings should be changed below!!! #
#################################################################


LDFLAGS	      =

LIBS	      = lib/libwatt.a lib/libvt100.a lib/libssh.a lib/libcrypt.a lib/libz.a

LINKER	      = gcc

OBJS=		sshdos.o \
		scpdos.o \
		telnet.o \
		negotiat.o \
		protocol.o \
		sshmd5.o \
		sshdes.o \
		sshblowf.o \
		sshcrc.o \
		sshbn.o \
		sshrsa.o \
		sshpubk.o \
		vttio.o \
		vidio.o \
		keyio.o \
		keymap.o

SRCS=		sshdos.c \
		scpdos.c \
		telnet.c \
		negotiat.c \
		protocol.c \
		sshmd5.c \
		sshdes.c \
		sshblowf.c \
		sshcrc.c \
		sshbn.c \
		sshrsa.c \
		sshpubk.c \
		vttio.c \
		vidio.c \
		keyio.c \
		keymap.c

all:		sshd386.exe scpd386.exe tel386.exe

sshd386.exe:	$(OBJS) $(LIBS)
		@echo "Linking sshd386 ... "
		@$(LINKER) $(LDFLAGS) -o sshd386.exe sshdos.o $(LIBS)
		@echo "done"

scpd386.exe:	$(OBJS) $(LIBS)
		@echo "Linking scpd386 ... "
		@$(LINKER) $(LDFLAGS) -o scpd386.exe scpdos.o $(LIBS)
		@echo "done"

tel386.exe:	telnet.o lib/libwatt.a lib/libvt100.a
		@echo "Linking tel386 ... "
		@$(LINKER) $(LDFLAGS) -o tel386.exe telnet.o lib/libwatt.a lib/libvt100.a
		@echo "done"

lib/libvt100.a:	vttio.o vidio.o keyio.o keymap.o
		ar rvs lib/libvt100.a vttio.o vidio.o keyio.o keymap.o

lib/libssh.a:	negotiat.o protocol.o
		ar rvs lib/libssh.a negotiat.o protocol.o

lib/libcrypt.a:	sshcrc.o sshrsa.o sshblowf.o sshdes.o sshmd5.o sshbn.o sshpubk.o
		ar rvs lib/libcrypt.a sshcrc.o sshrsa.o sshblowf.o sshdes.o sshmd5.o sshbn.o sshpubk.o

clean:
		$(RM) *.o
		$(RM) sshd386.exe
		$(RM) scpd386.exe
		$(RM) tel386.exe
		$(RM) lib\libvt100.a
		$(RM) lib\libssh.a
		$(RM) lib\libcrypt.a

###
sshdos.o: include/ssh.h
scpdos.o: include/ssh.h
telnet.o: include/telnet.h
negotiat.o: include/ssh.h
protocol.o: include/ssh.h
sshmd5.o: include/md5.h
sshdes.o:
sshblowf.o:
sshcrc.o: 
sshrsa.o: include/rsa.h
vttio.o: 
vidio.o: 
keyio.o: 
keymap.o: 
