#ifndef _CONFIG_H
#define _CONFIG_H

#if defined (__DJGPP__)
 #include "tcp_djgp.h"
#elif defined (__TURBOC__)
 #include "tcp.h"
#endif

typedef void (*SendFuncPtr)(char *, unsigned short);

#define MAX_PASSWORD_LENGTH 30

/* Configuration options */
typedef struct {
unsigned char username[20];
unsigned char password[MAX_PASSWORD_LENGTH];
unsigned char *remotehost;
unsigned short int RemotePort;
unsigned char *term;
unsigned char *KeyMapFile;
unsigned short keepalives;
unsigned short statusline;
unsigned short CipherType;
tcp_Socket s;
FILE *debugfile;
} Config;

/* Configuration options stored in bitfields */
typedef struct {
int cipher	: 1;	/* cipher on */
int Compression	: 1;	/* compression requested */
int Compressed	: 1;	/* compression enabled */
int privileged	: 1;	/* use privileged port */
int verbose	: 1;	/* verbose mode */
int debug	: 1;	/* debug mode */
int passwdcmd	: 1;	/* password specified on commandline */
} ConfigBits;

#endif
