#ifndef _PROTOCOL_H
#define _PROTOCOL_H

/* Protocol data prototypes */

struct Packet {
    long length;	/* type + body length */
    int type;		/* packet type */
    unsigned long crc;		/* CRC */
    unsigned char *whole;	/* pointer to whole packet */
    unsigned char *body;	/* pointer to useful data */
    long maxlen;
};

/* request compression from server */
void Request_Compression(int);

/* clean up compression structures */
void Uninit_Compression(void);

/* get a packet with blocking */
int packet_read_block(void);

/* expect a packet type */
void packet_read_expect(int);

/* create header for raw outgoing packet */
void s_wrpkt_start(int, int);

/* create outgoing packet */
void s_wrpkt(void);

/* read and convert raw, encrypted packet to readable structure */
void ssh_gotdata(void);

void SendSSHPacket(char *, unsigned short);

#endif
