#ifndef _RSA_H
#define _RSA_H

#include "bn.h"

/* RSA key structure */

struct RSAKey {
    unsigned int bits;
    unsigned int bytes;
    Bignum modulus;
    Bignum exponent;
    Bignum private_exponent;
    Bignum p;
    Bignum q;
    Bignum iqmp;
    char *comment;
};

int makekey(unsigned char *, struct RSAKey *,
	    unsigned char **, int);
int makeprivate(unsigned char *, struct RSAKey *);
void rsaencrypt(unsigned char *, int, struct RSAKey *);
Bignum rsadecrypt(Bignum, struct RSAKey *);
int rsa_verify(struct RSAKey *);
void freersakey(struct RSAKey *);

int loadrsakey(char *, struct RSAKey *, char *);
int rsakey_encrypted(char *, char **);
int key_type(char *);
char *key_type_to_str(int);

#endif
